Bug 1455006 - [RFE] Improve layout and functionality of Satellite Repositories UI
Summary: [RFE] Improve layout and functionality of Satellite Repositories UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Walden Raines
QA Contact: Jan Hutař
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1339755 (view as bug list)
Depends On: 1572943
Blocks: 1592588
TreeView+ depends on / blocked
 
Reported: 2017-05-24 01:38 UTC by Craig Donnelly
Modified: 2019-11-14 09:07 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Repository Design (78.07 KB, application/pdf)
2017-07-25 07:40 UTC, Roxanne Hoover
no flags Details
Updated repo design (71.30 KB, application/pdf)
2017-08-17 12:57 UTC, Roxanne Hoover
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:07 UTC
Foreman Issue Tracker 21151 None None None 2017-11-13 15:00:30 UTC
Red Hat Knowledge Base (Solution) 238533 None None None 2017-08-17 15:29:59 UTC
Red Hat Knowledge Base (Solution) 1256473 None None None 2017-08-17 15:26:52 UTC
Red Hat Knowledge Base (Article) 1320623 None None None 2017-08-17 15:35:49 UTC
Red Hat Knowledge Base (Solution) 1421903 None None None 2017-08-17 15:34:38 UTC
Red Hat Bugzilla 1573398 None CLOSED [RFE] Update references to the Content > Red Hat Repositories page 2019-08-21 23:10:00 UTC
Red Hat Knowledge Base (Article) 1586183 None None None 2017-05-24 13:44:38 UTC

Internal Links: 1573398

Description Craig Donnelly 2017-05-24 01:38:20 UTC
Description of problem:

Currently, the Red Hat Repositories page offers all content provided by the Satellite's Manifest in a Cascading fashion where all available listings are listed on a per-product bases.

For example, when expanding Red Hat Enterprise Linux Server, and then for RHEL 7, we get a list including the GA Minor releases and the base available full content: 7.0, 7.1, 7.2, 7.3, and then 7Server.

People commonly misunderstand the purpose of the minor release repositories and then reason they exist, and how they can be properly used.

There needs to be a common understanding that these repositories (minors) are dead from their moment of of the next minor's inception. They exist as a snapshot in time up to the GA of the next minor release. Once we move past a given minor release, there will never be updates, fixes, or security inclusions into those particular repositories.

The only exception to this are the EUS Minor release repositories (In the situation of RHEL). These would need to be handled differently.

The goal and initial proposal we are bringing for this is to make the following modifications:

1. For RHEL Minor release repositories (Non-EUS), we should list them under a different tab or category within the Repositories page (This could be listed as Unsupported/Limited Support, or even more simple as "Prior/Non-Current Releases"). This tab should provide a prominent note/warning of what to expect when using these repositories, and perhaps a link to the Satellite blog posts by Rich Jerrido explaining this content.

2. For RHEL Minor release respositories (EUS), we would need to find a different way to categorize. There will always be a few releases that are currently in support and therefore, we would not want to list them on a page where the assumption is that they are old/unsupported.

There are a few ways to think about handling this. One that strikes me as a possibility would require buy-in from Candlepin. The simplest way to get information to every Satellite about what is currently supported and how it should be categorized in the Satellite WebUI/Repo page would be to include metadata within the Satellite manifest that could indicate EOL dates for repositories which can be referenced by Katello to manipulate how data is presented in regard to these items.

Comment 1 Roxanne Hoover 2017-07-24 14:51:21 UTC
Is there a use case where a user would knowingly want a minor repository other than a EUS repo?

Comment 2 Craig Donnelly 2017-07-25 02:25:52 UTC
@Roxanne,

Absolutely.

We have many people that maintain minor releases of RHEL, even outside of EUS in an unsupported state. They don't understand that they are not supported, and in the end if there is a fix for their problem, we are just going to tell them to get errata from the next Minor Release or to not use a Minor and sync up to XServer.

Unfortunately, this is a way of life for people that have applications or otherwise that dictate they must be using a certain Minor Release.

As such, they have to be available, but we should direct people away from them unless they explicitly want them.

It should also be explained in the place they are separated to that they are unsupported and may leave them exposed to various security and bug issues.

Let me know if you have any other questions about this.

Thanks.

Comment 3 Roxanne Hoover 2017-07-25 07:39:35 UTC
A few thoughts:

1) I did do a new repository design (see attached). Feel free to set up time with me if you'd like me to walk you through it. As a note - it was designed prior to seeing this RFE.

2) I don't think creating a new tab or category would be consistent with the other categories present of which there are already seven. I would however think being able to differentiate our preferred repos in the UI through perhaps an icon and include a tooltip explaining the benefit of that repo might be a great option. Obviously this requires further discussion with dev to see what options are feasible.

Comment 4 Roxanne Hoover 2017-07-25 07:40:27 UTC
Created attachment 1304073 [details]
Repository Design

Comment 5 Craig Donnelly 2017-07-25 11:55:27 UTC
I would love to meet and review this.

If we could get dev buy-in, differentiation of the unsupported repos that are part of a minor release which are not EUS could be determined by calculating:

Highest available Minor Release - 1 = This minor and all below are unsupported.

For EUS, it would be a bit more complex.

I don't see a simple way to display what is supported within EUS without having some metadata for repositories that would be managed and delivered by RCM, which kind of comes back to another RFE we are trying to decide whether or not to act upon (Regarding showing the sizes of these repositories).

Comment 6 Roxanne Hoover 2017-08-17 12:57:18 UTC
Craig,

I've updated the design to include some of the features we talked about. Let me know if you have further feedback.

Comment 7 Roxanne Hoover 2017-08-17 12:57:56 UTC
Created attachment 1314713 [details]
Updated repo design

Comment 8 Craig Donnelly 2017-08-17 13:54:10 UTC
Roxanne,

This looks great!

Only looking for clarification on one piece:
For the tool-tip on disabling a repo where you have described one as 'Orphaned', would this also be reflective of non-orphaned, but in-use repositories?

(They would not be able to be disabled as they are published and in use somewhere, but are not orphaned content.)

Comment 10 Bryan Kearney 2017-10-12 14:32:29 UTC
From bug https://bugzilla.redhat.com/show_bug.cgi?id=1244286

I went back in forth looking at my manifest which should have provided a subscription to cover software collections but didn't see Software Collections under Content--->Red Hat Repositories--->RPMs

Found out they were under the "Other" tab this is not very intuitive

I would probably do the following:

Change RPMs tab name to Core RPMs

I'd move the "Other" tab to the right of "Core RPMs" tab and I would call it "Addon RPMs"

On the "Core RPMs" tab page I would have a note at the top that mentions Addon RPMs, maybe a link"

Note: See Addon RPMs tab for layered red hat repositories (e.g. Software Collections)

Comment 11 Bryan Kearney 2017-10-12 14:33:11 UTC
*** Bug 1455322 has been marked as a duplicate of this bug. ***

Comment 12 Walden Raines 2017-11-13 14:43:04 UTC
Connecting redmine issue http://projects.theforeman.org/issues/21151 from this bug

Comment 13 pm-sat@redhat.com 2017-11-13 17:13:45 UTC
Upstream bug assigned to walden@redhat.com

Comment 17 Rich Jerrido 2018-07-15 13:39:18 UTC
*** Bug 1339755 has been marked as a duplicate of this bug. ***

Comment 19 Mike McCune 2018-09-18 17:19:57 UTC
This was resolved and no longer occuring SNAP 22. Feel free to send it back if so, but works fine on my SNAP 22 host.

Comment 22 errata-xmlrpc 2018-10-16 15:27:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.